Bug 1125360 - Review Request: perl-Swim - See What I Mean is a plain text markup language
Summary: Review Request: perl-Swim - See What I Mean is a plain text markup language
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1124844 1124847 1125335
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 16:06 UTC by Petr Pisar
Modified: 2017-03-14 07:55 UTC (History)
3 users (show)

Fixed In Version: perl-Swim-0.1.46-1.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 07:55:40 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2014-07-31 16:06:12 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Swim/perl-Swim.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Swim/perl-Swim-0.1.12-1.fc22.src.rpm
Description:
Swim (See What I Mean) is a plain text markup language that converts to many
formats: HTML, MarkDown, POD, Formatted Plain Text, LaTeX, DocBook, roff,
AsciiDoc, MediaWiki. The Swim framework is easily extensible, so adding new
outputs is easy.

Fedora Account System Username: ppisar

Comment 1 Petr Pisar 2017-03-13 10:45:02 UTC
I unassigned the reviewer because he did not started to review for more than two years.

Updated package:

Spec URL: https://ppisar.fedorapeople.org/perl-Swim/perl-Swim.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Swim/perl-Swim-0.1.46-1.fc27.src.rpm

Comment 2 Jitka Plesnikova 2017-03-13 15:30:16 UTC
Source file is ok
Summary is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Swim-0.1.46-1.fc27.noarch.rpm | sort | uniq -c
      1 /usr/bin/perl
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(Encode)
      1 perl(FindBin)
      1 perl(Getopt::Long)
      1 perl(HTML::Escape)
      1 perl(IPC::Run)
      1 perl(Pegex) >= 0.41
      1 perl(Pegex::Base)
      1 perl(Pegex::Grammar)
      1 perl(Pegex::Parser)
      1 perl(Pegex::Tree)
      1 perl(Swim)
      1 perl(Swim::Command)
      1 perl(Swim::Grammar)
      1 perl(Swim::Markup)
      1 perl(Swim::Util)
      1 perl(Text::Autoformat)
      1 perl(YAML::XS)
      1 perl(base)
      1 perl(constant)
      1 perl(strict)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Add 'perl(Hash::Merge)' - lib/Swim/Util.pm:7

$ rpm -qp --provides perl-Swim-0.1.46-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Swim) = 0.1.46
      1 perl(Swim::Byte)
      1 perl(Swim::Command)
      1 perl(Swim::Grammar)
      1 perl(Swim::HTML)
      1 perl(Swim::Markdown)
      1 perl(Swim::Markup)
      1 perl(Swim::Pod)
      1 perl(Swim::Tree)
      1 perl(Swim::Util)
      1 perl-Swim = 0.1.46-1.fc27
Binary provides are Ok.

$ rpmlint ./perl-Swim*
perl-Swim.noarch: W: spelling-error %description -l en_US roff -> toff, riff, off
perl-Swim.noarch: W: no-manual-page-for-binary swim
perl-Swim.src: W: spelling-error %description -l en_US roff -> toff, riff, off
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Rpmlint is ok

License is ok
NOTE: README and Swim.pod contains as link to license
      http://www.perl.com/perl/misc/Artistic.html
      Please ask upstream to replace it by http://dev.perl.org/licenses/

Please correct 'FIX' issue.

Otherwise package looks good.
Approved.

Comment 3 Petr Pisar 2017-03-13 15:40:32 UTC
License link deficiency reported to <https://github.com/ingydotnet/swim-pm/issues/43>.

Comment 4 Gwyn Ciesla 2017-03-13 17:21:45 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Swim

Comment 5 Petr Pisar 2017-03-14 07:55:40 UTC
Thank you for the review and the repository. I added the explicit run-time dependency.


Note You need to log in before you can comment on or make changes to this bug.